#include <p18f4620.h>
#include <stdio.h>
#include <delays.h>
#include <usart.h>
 
// INTIO67 configures internal oscillator
#pragma config OSC=INTIO67, LVP=OFF, MCLRE=ON , WDT=OFF
 
void setup(void)
{
	/* Clock Setup*/ 
	OSCCON = 0b01110010; //select 8 MHz clock 

	/* Port Set Up*/
	ADCON1 = 0b00001111; //set all pins to digital mode
	TRISD = 0x00;
	TRISA = 0x00;
	TRISB = 0b00000000; 
	TRISC = 0b10000000; // RX is an input, TX is output

 //	PORTBbits.RB0=1;      //Turn on the 4 LEDs
 //	PORTBbits.RB1=1;
 //	PORTBbits.RB2=1;
 //	PORTBbits.RB3=1;

 // Turn on the 4 LEDs
 // Microchip recommends writing to the PORT Latch rather than the PORT Pins 
	LATBbits.LATB0=1;
	LATBbits.LATB1=1;
	LATBbits.LATB2=1;
	LATBbits.LATB3=1;

 	
	/* Interrupt Setup */
	INTCON = 0x00; /* Clear Registers */
	PIR1 = 0x00;
	PIE1 = 0x00;
	TMR1L = 0x00;
	TMR1H = 0x00;
	T1CON = 0x00;
	RCON = 0x00; 

	

    /* RS232 Enable */
	// OpenUSART Configures The Next Three Lines
	//RCSTA = 0b10000000;
	//TXSTA = 0b00100000;
	//BAUDCON = 0b01000000;
		
	// USART 9600 8-N-1
	OpenUSART (USART_TX_INT_OFF & USART_RX_INT_OFF & USART_ASYNCH_MODE & USART_EIGHT_BIT & USART_CONT_RX & USART_BRGH_LOW, 12);
 
}	
 

#pragma code
void main(void)
{
	setup();
		
	while (1)
	{
		putrsUSART(" Hello World! ");
	//	while(BusyUSART());
		Delay10KTCYx(100);
		
	}
}